gdk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.ValueType Contains functions for inlined pixbuf handling. It allows for pixbuf data to be accessed in a raw form, serialized, and stored. At the time of this writing, gtk-sharp 0.98 has a bug where and use where Byte [] should be used making them function improperly. This problem should be fixed in a future release.
- Method
  2.12.0.0
  System.Boolean `` `` A describing the length of "stream". a Converts a serialized datastream, generated by , into pixdata. A . True if successful, false if there was an error. To be added
- Method
  2.12.0.0
  System.IntPtr `` `` The 'Gdk.Pixbuf' which the Gdk.Pixdata is to be derived from. Whether to use run-length encoding for the pixel data. Fils in the Gdk.Pixdata with data from an existing . If "ure_rle" is set to true, an pointing to the new run-length encoded pixel data is returned, otherwise, To be added
- Field
  2.12.0.0
  System.UInt32 The height of the image in pixels. To be added
- Field
  2.12.0.0
  System.Int32 The length of the raw structure. This is either set to less than one to disable length checks or set to the length of the raw GdkPixbuf header, which is currently 24, plus the length of the pixel data.
- Field
  2.12.0.0
  System.UInt32 The GdkPixbuf magic number. All valid Gdk.Pixdata objects must have this set to 0x47646b50, which is 'GdkP' in ASCII.
- Method
  2.12.0.0
  Gdk.Pixdata `` An pointing to a raw GdkPixdata. Creates a new Gdk.Pixdata from a pointer to a raw GdkPixdata. A new 'Gdk.Pixdata' synonymous with the "raw" parameter. To be added
- Field
  2.12.0.0
  System.UInt32 An enumeration containing three sets of flax for the . One used for colorspace, one for the width of the samples, and one for the encoding of the pixel data.
  Value
  Description
  0x01
  Each pixel has red, green, and blue samples.
  0x02
  Each pixel has red, green, and blue samples, and an alpha value.
  0xFF
  A mask for the colortype flags.
  0x01 << 16
  Each sample has 8 bits.
  0x0f << 16
  A mask for the sample width flags.
  0x01 << 24
  The pixel data is in raw form.
  0x02 << 24
  The pixel data is run-length encoded. Runs may be up to 127 bytes long; their length is stored in a single byte preceding the pixel data for the run. If a run is constant, its length byte has the high bit set and the pixel data consists of a single pixel which must be repeated.
  0x0f << 24
  A mask for the encoding flags.
- Field
  2.12.0.0
  System.UInt32 The distance in bytes between rows. To be added
- Method
  2.12.0.0
  System.Byte[] Generates serialized pixdata that can then be stored and converted back into a with . the serialized pixdata.
- Field
  2.12.0.0
  System.UInt32 The width of the image in pixels. To be added
- Field
  2.12.0.0
  Gdk.Pixdata A blank Gdk.Pixdata, equivilent to Gdk.Pixdata Zero = new Gdk.Pixdata (); To be added